body { font-family: 'Segoe UI', sans-serif; background-color: #f4f7f6; display: flex; align-items: center; justify-content: center; height: 100vh; margin: 0; }
.container { background: white; padding: 2rem;border-radius: 12px; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); text-align: center; width: 100%; max-width: 400px; margin-top: 8%; }
h1 { font-size: 24px; margin-bottom: 1.5rem; }
img { max-width: 25%; margin-bottom: 1rem; }
h1 a { color: #0009ad; text-decoration: none; }
.form-group { margin-bottom: 1rem; text-align: left; }
label { display: block; margin-bottom: 0.5rem; color: #666; font-weight: bold; }
input { width: 100%; padding: 12px; border: 1px solid #ddd; border-radius: 6px; box-sizing: border-box; transition: all 0.3s ease; }
button { width: 100%; padding: 12px; background-color: #25d366; color: white; border: none; border-radius: 6px; font-weight: bold; cursor: pointer; margin-top: 10px; transition: background 0.3s; }
button.email-mode { background-color: #0009ad; }
.error-message { color: #dc3545; background-color: #f8d7da; padding: 10px; border-radius: 6px; margin-bottom: 1rem; font-size: 0.9rem; display: none; }
.error-text { color: red; font-size: 0.75rem; display: none; margin-top: 5px; }
.divider { margin: 1rem 0; color: #999; font-weight: bold; }
.footer-link { margin-top: 1.5rem; display: block; font-size: 0.8rem; color: #888; text-decoration: none; }
#btnSubmit { background-color: #25d366; color: white; border: none; padding: 10px 20px; cursor: pointer; transition: all 0.3s ease; font-weight: bold; border-radius: 5px; }
#btnSubmit.email-mode { background-color: #007bff; }
.error-hint { color: #dc3545; font-size: 0.75rem; display: none; margin-top: 5px; }
#local-error { background-color: #f8d7da; color: #721c24; padding: 10px; border-radius: 5px; margin-bottom: 15px; display: none; border: 1px solid #f5c6cb; }
.dosbotones { display: flex; justify-content:center; }
.lang-switch { display: flex; justify-content: center; gap: 10%; margin-bottom: 1rem;}
.lang-btn { display: flex; justify-content: center; align-items: center; cursor: pointer; border: 2px solid transparent; background: none; padding: 2px; border-radius: 4px; transition: all 0.2s ease; width: auto; }
.lang-switch img { width: 100%; height: auto; margin-bottom: 0; border-radius: 2px; }
.lang-btn:hover { transform: scale(1.1); }
.lang-btn.active { border-color: #0009ad; background-color: rgba(0, 9, 173, 0.1); }